---
- name: "Working around an Ansible/Aptitude issue..."
  apt:
    pkg: aptitude
    state: latest
  become: true
  when: ansible_os_family == 'Debian'

- name: Install all software package updates
  package:
    name: "*"
    state: "latest"
  become: true
  when: install_all_package_updates

- name: Install specified software package updates
  package:
    name: "{{ item }}"
    state: latest
  become: true
  with_items: "{{ update_packages }}"
